### Method

# Gtk TreeModel iter_nth_child

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_model_iter_nth_child (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      GtkTreeIter* parent,
      int n
    )

#### Description [src]

Sets `iter` to be the child of `parent`, using the given index.

The first index is 0. If `n` is too big, or `parent` has no children, `iter` is set to an invalid iterator and `FALSE` is returned. `parent` will remain a valid node after this function has been called. As a special case, if `parent` is `NULL`, then the `n`-th root node is set.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  The `GtkTreeIter` to set to the nth child.

  The argument will be set by the function.
  The returned data is owned by the instance.

`parent`

  Type: `GtkTreeIter`

  The `GtkTreeIter` to get the child from.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`n`

  Type: `int`

  The index of the desired child.

#### Return value

Type: `gboolean`

`TRUE`, if `parent` has an `n`-th child.